<template>
    <div style="display: flex;width: 100%;margin-bottom: 20px;padding-bottom: 15px;align-items: center;justify-content: space-between;border-bottom: 2px dashed #98c3ef;">
        <el-icon v-if="showjt" color="#98c3ef" @click="handleClose" style="cursor: pointer;">
            <ArrowLeftBold />
        </el-icon>
        <div style="font-size: 20px;color:#0d8ed7;font-weight: bold;text-align: center;">
            {{name}}
        </div>
        <el-icon v-if="showcls" color="#ccc" @click="handleClose" style="cursor: pointer;">
            <CloseBold />
        </el-icon>
    </div>
</template>
<script setup lang="ts">
    //import { ref } from 'vue'

    const props = withDefaults(defineProps<{
        name?:string
        showjt?:boolean
        showcls?:boolean
    }>(), {
        name:'',
        showjt:true,
        showcls:true
    })

    const emit = defineEmits<{
        close: []
    }>()

    function handleClose() {
        emit('close')
    }
</script>